<?php

class ETC_CmsButton_Widget extends Elementor_Theme_Core_Widget_Base{
    protected $name = 'cms_button';
    protected $title = 'Button';
    protected $icon = 'eicon-button';
    protected $categories = array( 'elementor-theme-core' );
    protected $params = '{"sections":[{"name":"source_section","label":"Source Settings","tab":"content","controls":[{"name":"style","label":"Style","type":"select","default":"btn btn-default","options":{"btn btn-default":"Default","btn btn-secondary":"Secondary","btn btn-outline":"Outline","btn btn-white":"White Hover Primary","btn btn-white2":"White Hover Secondary","btn btn-outline-white":"Outline White","btn btn-video-white":"Video White","btn-text-primary":"Text Primary","btn-text-secondary":"Text Secondary","btn-text-white":"Text White"}},{"name":"text","label":"Text","type":"text","default":"Click here","placeholder":"Click here"},{"name":"link","label":"Link","type":"url","placeholder":"https:\/\/your-link.com","default":{"url":"#"}},{"name":"align","label":"Alignment","type":"choose","control_type":"responsive","options":{"left":{"title":"Left","icon":"fa fa-align-left"},"center":{"title":"Center","icon":"fa fa-align-center"},"right":{"title":"Right","icon":"fa fa-align-right"},"justify":{"title":"Justified","icon":"fa fa-align-justify"}},"selectors":{"{{WRAPPER}} .cms-button-wrapper":"text-align: {{VALUE}};"}},{"name":"btn_padding","label":"Padding","type":"dimensions","size_units":["px"],"selectors":{"{{WRAPPER}} .cms-button-wrapper .btn":"padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};"},"control_type":"responsive"},{"name":"btn_border_radius","label":"Border Radius","type":"dimensions","size_units":["px"],"selectors":{"{{WRAPPER}} .cms-button-wrapper .btn":"border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};"}},{"name":"typography","label":"Typography","type":"typography","control_type":"group","selector":"{{WRAPPER}} .cms-button-wrapper .btn"},{"name":"btn_icon","label":"Icon","type":"icons","label_block":true,"fa4compatibility":"icon"},{"name":"icon_align","label":"Icon Position","type":"select","default":"left","options":{"left":"Before","right":"After"},"condition":{"btn_icon!":""}}]}]}';
    protected $styles = array(  );
    protected $scripts = array(  );
}