<?php

class ETC_CmsClientsList_Widget extends Elementor_Theme_Core_Widget_Base{
    protected $name = 'cms_clients_list';
    protected $title = 'Clients List';
    protected $icon = 'eicon-person';
    protected $categories = array( 'elementor-theme-core' );
    protected $params = '{"sections":[{"name":"section_clients","label":"Clients","tab":"content","controls":[{"name":"clients","label":"Select Form","type":"repeater","default":[{"client_name":"Client Name","client_link":"http:\/\/client-link.com","client_image":"Client Image"},{"client_name":"Client Name","client_link":"http:\/\/client-link.com","client_image":"Client Image"},{"client_name":"Client Name","client_link":"http:\/\/client-link.com","client_image":"Client Image"}],"controls":[{"name":"client_name","label":"Client Name","type":"text","label_block":true,"default":"Client Name"},{"name":"client_link","label":"Client URL","type":"url","label_block":true,"placeholder":"http:\/\/client-link.com"},{"name":"client_image","label":"Client Logo\/Image","type":"media","label_block":true}],"title_field":"{{{ client_name }}}"}]},{"name":"section_carousel_settings","label":"Carousel Settings","tab":"settings","controls":[{"name":"slides_to_show","label":"Slides to Show","type":"select","control_type":"responsive","options":{"":"Default","1":1,"2":2,"3":3,"4":4,"5":5,"6":6,"7":7,"8":8,"9":9,"10":10}},{"name":"slides_to_scroll","label":"Slides to Scroll","type":"select","control_type":"responsive","options":{"":"Default","1":1,"2":2,"3":3,"4":4,"5":5,"6":6,"7":7,"8":8,"9":9,"10":10},"condition":{"slides_to_show!":"1"}},{"name":"arrows","label":"Show Arrows","type":"switcher"},{"name":"dots","label":"Show Dots","type":"switcher"},{"name":"pause_on_hover","label":"Pause on Hover","type":"switcher"},{"name":"autoplay","label":"Autoplay","type":"switcher"},{"name":"autoplay_speed","label":"Autoplay Speed","type":"number","default":5000,"condition":{"autoplay":"true"}},{"name":"infinite","label":"Infinite Loop","type":"switcher"},{"name":"speed","label":"Animation Speed","type":"number","default":500}]}]}';
    protected $styles = array(  );
    protected $scripts = array( 'jquery-slick','cms-clients-list-widget-js' );
}