<?php

class ETC_CmsGalleryCarousel_Widget extends Elementor_Theme_Core_Widget_Base{
    protected $name = 'cms_gallery_carousel';
    protected $title = 'Gallery Carousel';
    protected $icon = 'eicon-image';
    protected $categories = array( 'elementor-theme-core' );
    protected $params = '{"sections":[{"name":"content_list","label":"Content","tab":"content","controls":[{"name":"image","label":"Images","type":"gallery","label_block":true},{"name":"img_size","label":"Image Size","type":"text","description":"Enter image size (Example: \"thumbnail\", \"medium\", \"large\", \"full\" or other sizes defined by theme). Alternatively enter size in pixels (Example: 200x100 (Width x Height)."}]},{"name":"section_carousel_settings","label":"Carousel Settings","tab":"settings","controls":[{"name":"slides_to_show","label":"Slides to Show","type":"select","control_type":"responsive","options":{"":"Default","1":1,"2":2,"3":3,"4":4,"5":5,"6":6,"7":7,"8":8,"9":9,"10":10}},{"name":"slides_to_scroll","label":"Slides to Scroll","type":"select","control_type":"responsive","options":{"":"Default","1":1,"2":2,"3":3,"4":4,"5":5,"6":6,"7":7,"8":8,"9":9,"10":10},"condition":{"slides_to_show!":"1"}},{"name":"slides_gutter","label":"Gutter","type":"number","control_type":"responsive","default":15,"condition":{"slides_to_show!":"1"},"selectors":{"{{WRAPPER}} .cms-slick-carousel .slick-list .slick-slide":"padding-right: {{VALUE}}px;"}},{"name":"center_mode","label":"Center Mode ","type":"switcher"},{"name":"center_padding","label":"Center Padding ","type":"text"},{"name":"arrows","label":"Show Arrows","type":"switcher"},{"name":"dots","label":"Show Dots","type":"switcher"},{"name":"pause_on_hover","label":"Pause on Hover","type":"switcher"},{"name":"autoplay","label":"Autoplay","type":"switcher"},{"name":"autoplay_speed","label":"Autoplay Speed","type":"number","default":5000,"condition":{"autoplay":"true"}},{"name":"infinite","label":"Infinite Loop","type":"switcher"},{"name":"speed","label":"Animation Speed","type":"number","default":500}]}]}';
    protected $styles = array(  );
    protected $scripts = array( 'jquery-slick','cms-post-carousel-widget-js' );
}