<?php
$default_settings = [
    'title_text' => '',
    'description_text' => '',
    'btn_text' => '',
    'btn_link' => '',
    'image' => '',
];
$settings = array_merge($default_settings, $settings);
extract($settings);
$html_id = etc_get_element_id($settings); 
if ( ! empty( $btn_link['url'] ) ) {
    $widget->add_render_attribute( 'button', 'href', $btn_link['url'] );

    if ( $btn_link['is_external'] ) {
        $widget->add_render_attribute( 'button', 'target', '_blank' );
    }

    if ( $btn_link['nofollow'] ) {
        $widget->add_render_attribute( 'button', 'rel', 'nofollow' );
    }
}

?>
<div class="cms-banner-box-layout1 bg-image" <?php if(!empty($image['url'])) : ?>style="background-image: url(<?php echo esc_url($image['url']); ?>);"<?php endif; ?>>
    <div class="cms-banner-box-inner">
        <h5 class="item--title"><?php echo esc_attr($title_text); ?></h5>
        <div class="item--desc"><?php echo esc_attr($description_text); ?></div>
        <?php if(!empty($btn_text)) : ?>
            <a <?php etc_print_html($widget->get_render_attribute_string( 'button' )); ?> class="item--button btn btn-white2"><i class="fac fac-arrow-circle-right space-right"></i><?php echo esc_attr($btn_text); ?></a>
        <?php endif; ?>
    </div>
</div>