<?php
$titles = amarou_get_page_titles();

$pagetitle = amarou_get_opt( 'pagetitle', 'show' );
$breadcrumb = amarou_get_opt( 'breadcrumb', 'show' );
$page_title_img = amarou_get_opt( 'page_title_img' );

$custom_pagetitle = amarou_get_page_opt( 'custom_pagetitle', 'themeoption');
$page_breadcrumb = amarou_get_page_opt( 'page_breadcrumb', 'themeoption');
if($custom_pagetitle != 'themeoption' && $custom_pagetitle != '' ) {
    $pagetitle = $custom_pagetitle;
}
if($custom_pagetitle == 'show' && $page_breadcrumb != 'themeoption') {
    $breadcrumb = $page_breadcrumb;
}
ob_start();
if ( $titles['title'] )
{
    printf( '<h1 class="page-title">%s</h1>', wp_kses_post($titles['title']) );
}
$titles_html = ob_get_clean();
if(is_404()) {
    return true;
}

if($pagetitle == 'show') : ?>
    <?php if( (is_singular('post') && $breadcrumb == 'show') ) { ?>
        <div id="posttitle" class="page-title-single">
            <div class="container">
                <?php amarou_breadcrumb(); ?>
            </div>
        </div>
    <?php } else { ?>
        <div id="pagetitle" class="page-title bg-image layout1 breadcrumb-<?php echo esc_attr($breadcrumb); ?>" <?php if(!empty($page_title_img['url'])) : ?>style="background-image: url(<?php echo esc_url($page_title_img['url']); ?>);"<?php endif; ?>>
            <div class="container">
                <div class="page-title-inner">
                    <?php printf( '%s', wp_kses_post($titles_html)); ?>
                    <?php if($breadcrumb == 'show') : ?>
                        <?php amarou_breadcrumb(); ?>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    <?php } ?>
<?php endif; ?>