<?php
$widget->add_render_attribute( 'inner', [
    'class' => 'cms-carousel-inner',
] );
$dots = $widget->get_setting('dots');
$pause_on_hover = $widget->get_setting('pause_on_hover');
$autoplay = $widget->get_setting('autoplay', '');
$autoplay_speed = $widget->get_setting('autoplay_speed', '5000');
$infinite = $widget->get_setting('infinite');
$speed = $widget->get_setting('speed', '500');
$widget->add_render_attribute( 'carousel', [
    'class' => 'cms-slick-carousel',
    'data-arrows' => false,
    'data-dots' => $dots,
    'data-pauseOnHover' => $pause_on_hover,
    'data-autoplay' => $autoplay,
    'data-autoplaySpeed' => $autoplay_speed,
    'data-infinite' => $infinite,
    'data-speed' => $speed,
    'data-slidesToShow' => 1,
    'data-slidesToShowTablet' => 1,
    'data-slidesToShowMobile' => 1,
    'data-slidesToScroll' => 1,
    'data-slidesToScrollTablet' => 1,
    'data-slidesToScrollMobile' => 1,
] );
?>
<?php if(isset($settings['banner_text2']) && !empty($settings['banner_text2']) && count($settings['banner_text2'])): ?>
    <div class="cms-banner-counter-carousel2 cms-slick-slider">
        <div <?php etc_print_html($widget->get_render_attribute_string( 'inner' )); ?>>
            <div <?php etc_print_html($widget->get_render_attribute_string( 'carousel' )); ?>>
                <?php foreach ($settings['banner_text2'] as $key => $value):
                    ?>
                    <div class="slick-slide">
                        <div class="banner-counter-inner">
                            <div class="banner-counter-meta">
                                <div class="banner-counter-number"><?php echo esc_attr($value['number']); ?></div>
                                <h3 class="banner-counter-title"><?php echo esc_attr($value['title']); ?></h3>
                            </div>
                            <div class="banner-counter-desc"><?php echo esc_attr($value['description_text']); ?></div>
                        </div>
                    </div>
                <?php endforeach; ?>
            </div>
        </div>
    </div>
<?php endif; ?>