<?php
$default_settings = [
    'description' => '',
    'style' => '',
    'button_label' => esc_html__('Sign Up!', 'amarou'),
    'email_label' => esc_html__('Your Email Address', 'amarou'),
];
$settings = array_merge($default_settings, $settings);
extract($settings);
$html_id = etc_get_element_id($settings);
if(class_exists('Newsletter')) : 
	$newsletter = Newsletter::instance();
	?>
    <div id="<?php echo esc_attr($html_id); ?>" class="cms-newsletter cms-newsletter1">
	    <div class="cms-newsletter-desc"><?php echo esc_attr($description); ?></div>
	    <form class="tnp-form" action="<?php echo esc_url($newsletter->build_action_url('s')); ?>" method="post" onsubmit="return newsletter_check(this)">
	    	<input type="hidden" name="nr" value="widget-minimal"/>
	    	<div class="tnp-field tnp-field-email">
	    		<input class="tnp-email" type="email" required name="ne" value="" placeholder="<?php echo esc_attr($email_label); ?>">
	    	</div>
	    	<div class="tnp-field tnp-field-button">
	    		<input class="tnp-button" type="submit" value="<?php echo esc_attr(esc_attr($button_label)); ?>">
	    	</div>
	    </form>
    </div>
<?php endif; ?>
